function v = Restrict_to_Inner(u)
% Restrict_to_Inner removes the boundary components of the vector u

	% Compute discretization parameter n
	n = sqrt(length(u))-1;

	% Reshape input, this makes it easy to ignore coodinates of the boundary
	U = reshape(u,n+1,n+1);

	% Restrict U
	V = U(2:n,2:n);

	v = V(:);

end
