function u = Extend_to_Boundary(v)
% Extend_to_Boundary adds zeros to v for the boundary components

	% Compute discretization parameter n
	n = sqrt(length(v))+1;

	% Reshape input
	V = reshape(v,n-1,n-1);

	% Initialize v
	U = zeros(n+1,n+1);
	% Embed U
	U(2:n,2:n) = V;

	u = U(:);

end
