function n=Linfty_Norm_Unitsquare(v)
% Linfty_Norm_Unitsquare computes the discrete L^\infty-Norm of a function
% that is given on the unit-square.
%
% INPUT:
% ------
% v         - Vector, v(i) is the function value in the i-th grid point 
%             (lexicographical order)
%
% OUTPUT:
% -------
% n         - The discrete L^\infty norm of the function induced by v
%

% Compute the norm
n = norm(v,'inf');
